Bug 1565818 - podman images - panic: runtime error: invalid memory address or nil pointer dereference
Summary: podman images - panic: runtime error: invalid memory address or nil pointer d...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brent Baude
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 20:20 UTC by Petr Lautrbach
Modified: 2018-05-02 20:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 20:07:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Lautrbach 2018-04-10 20:20:35 UTC
Description of problem:
sudo podman images          
panic: runtime error: invalid memory address or nil pointer dereference
[signal SIGSEGV: segmentation violation code=0x1 addr=0x0 pc=0xe1c8d9]

goroutine 1 [running]:
main.getImagesTemplateOutput(0xc4200ccdc0, 0xc420417c40, 0x5, 0x8, 0x0, 0x0, 0x0, 0xc42043e6c0, 0x3e, 0x0, ...)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/cmd/podman/images.go:203 +0x169
main.generateImagesOutput(0xc4200ccdc0, 0xc420417c40, 0x5, 0x8, 0x0, 0x0, 0x0, 0xc42043e6c0, 0x3e, 0xde9b86, ...)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/cmd/podman/images.go:244 +0xc1
main.imagesCmd(0xc420114f20, 0x0, 0x0)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/cmd/podman/images.go:144 +0x4e9
github.com/projectatomic/libpod/vendor/github.com/urfave/cli.HandleAction(0xf26ea0, 0x112a520, 0xc420114f20, 0x0, 0xc420083380)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/vendor/github.com/urfave/cli/app.go:501 +0xc8
github.com/projectatomic/libpod/vendor/github.com/urfave/cli.Command.Run(0x10afbba, 0x6, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10c825a, 0x1c, 0x0, ...)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/vendor/github.com/urfave/cli/command.go:165 +0x4c7
github.com/projectatomic/libpod/vendor/github.com/urfave/cli.(*App).Run(0xc42012aa80, 0xc42000c080, 0x2, 0x2, 0x0, 0x0)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/vendor/github.com/urfave/cli/app.go:259 +0x6e8
main.main()
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/cmd/podman/main.go:163 +0x128b


Version-Release number of selected component (if applicable):
podman-0.4.2-3.git998fd2e.fc29.x86_64

Comment 1 Brent Baude 2018-04-10 22:17:23 UTC
Running on the latest fedora cloud qcow2 image

[fedora@atomic-baude ~]$ rpm -q podman
podman-0.4.2-3.git998fd2e.fc29.x86_64
[fedora@atomic-baude ~]$ sudo podman images

can you perhaps provide a reproducer for the panic?

Comment 2 Petr Lautrbach 2018-04-11 09:05:26 UTC
My reproducer was like this:

$ sudo dnf install podman

$ sudo podman build -f Dockerfile.selinux
...
STEP 4: WORKDIR /root                                                                                                                                                                                                                                                                                                          
STEP 5: CMD ["bash"]                                                                                                                                                                                                                                                                                                           
STEP 6: COMMIT containers-storage:[overlay@/var/lib/containers/storage+/var/run/containers/storage:overlay.override_kernel_check=true]@6d6b4a784402e6b7be73808287ce4eb07961ce41f3a5ce0c166d2b2a7dfa685b                                                                                                                        
Getting image source signatures                                                                                                                                                                                                                                                                                                
Skipping fetch of repeat blob sha256:2f1bb278728bfa17852afe08dd5ce923e971597addae5df1590b44fa81735ee9                                                                                                                                                                                                                          
Copying blob sha256:33d9545b9a5c7653f9776affd089bb7772cdf22275f7c9a9d19b680fb8abc946                                                                                                                                                                                                                                           
 108.53 MiB / 108.53 MiB [==================================================] 3s                                                                                                                                                                                                                                               
Copying config sha256:d1e7c5f577f156f5c4881e56990d03bf2765f6a1d324395fad38a4c194dbe4b6                                                                                                                                                                                                                                         
 720 B / 720 B [============================================================] 0s                                                                                                                                                                                                                                               
Writing manifest to image destination                                                                                                                                                                                                                                                                                          
Storing signatures                      

$ sudo podman images
panic: runtime error: invalid memory address or nil pointer dereference
[signal SIGSEGV: segmentation violation code=0x1 addr=0x0 pc=0xe1c8d9]

goroutine 1 [running]:
main.getImagesTemplateOutput(0xc4200cee70, 0xc420419c40, 0x5, 0x8, 0x0, 0x0, 0x0, 0xc42047e6c0, 0x3e, 0x0, ...)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/cmd/podman/images.go:203 +0x169
main.generateImagesOutput(0xc4200cee70, 0xc420419c40, 0x5, 0x8, 0x0, 0x0, 0x0, 0xc42047e6c0, 0x3e, 0xde9b86, ...)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/cmd/podman/images.go:244 +0xc1
main.imagesCmd(0xc420117080, 0x0, 0x0)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/cmd/podman/images.go:144 +0x4e9
github.com/projectatomic/libpod/vendor/github.com/urfave/cli.HandleAction(0xf26ea0, 0x112a520, 0xc420117080, 0x0, 0xc4200bb320)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/vendor/github.com/urfave/cli/app.go:501 +0xc8
github.com/projectatomic/libpod/vendor/github.com/urfave/cli.Command.Run(0x10afbba, 0x6, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10c825a, 0x1c, 0x0, ...)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/vendor/github.com/urfave/cli/command.go:165 +0x4c7
github.com/projectatomic/libpod/vendor/github.com/urfave/cli.(*App).Run(0xc42012ca80, 0xc42000c080, 0x2, 0x2, 0x0, 0x0)
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/vendor/github.com/urfave/cli/app.go:259 +0x6e8
main.main()
        /builddir/build/BUILD/libpod-998fd2ece0480e581e013124d0969a1af6305110/_build/src/github.com/projectatomic/libpod/cmd/podman/main.go:163 +0x128b

That's all. I was just interested what it does.

Comment 3 Brent Baude 2018-04-28 00:42:39 UTC
@Petr,

I think this bug was an issue with some previously used images.  Do you agree?

Comment 4 Petr Lautrbach 2018-05-02 20:07:40 UTC
I removed all old containers and ran $ sudo rm -rf /var/lib/containers/storage/ and it works now. Thanks for the assistance.


Note You need to log in before you can comment on or make changes to this bug.